Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class RoutingTableTest

    java.lang.Object
      rice.pastry.testing.RoutingTableTest

    public class RoutingTableTest

extends java.lang.Object

This tutorial shows how to setup a FreePastry node using the Socket Protocol.

Author:
  Jeff Hoye

Nested Class Summary
`class` | `RoutingTableTest.MyApp`
`protected static class` | `RoutingTableTest.TestScribeContent` Utility class for past content objects

Field Summary
`static boolean` | `logHeavy`

Constructor Summary
`RoutingTableTest(int numNodes, int meanSessionTime, boolean useScribe, int msgSendRate, int rtMaintTime, int tryNum, Environment env)` This constructor launches numNodes PastryNodes.

Method Summary
`PastryNode` | `createNode()`
`void` | `createNodes()`
`void` | `finishNode(PastryNode node)`
`static void` | `main(java.lang.String[] args)` Usage:
`void` | `sendSomeMessages()`
`void` | `sendSomeScribeMessages()`
`void` | `startLoggerTask()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logHeavy

    public static final boolean logHeavy

See Also:
  Constant Field Values

Constructor Detail

### RoutingTableTest

    public RoutingTableTest(int numNodes,
                            int meanSessionTime,
                            boolean useScribe,
                            int msgSendRate,
                            int rtMaintTime,
                            int tryNum,
                            Environment env)
                     throws java.lang.Exception

  This constructor launches numNodes PastryNodes. They will bootstrap to an existing ring if one exists at the specified location, otherwise it will start a new ring.

  Parameters:
    `bindport` - the local port to bind to
    `bootaddress` - the IP:port of the node to boot from
    `numNodes` - the number of nodes to create in this JVM
    `env` - the environment for these nodes
  Throws:
    `java.lang.Exception`

Method Detail

### startLoggerTask

    public void startLoggerTask()

### createNodes

    public void createNodes()
                     throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### sendSomeMessages

    public void sendSomeMessages()

### sendSomeScribeMessages

    public void sendSomeScribeMessages()

### createNode

    public PastryNode createNode()
                          throws java.lang.InterruptedException,
                                 java.io.IOException

  Throws:
    `java.lang.InterruptedException`
    `java.io.IOException`

### finishNode

    public void finishNode(PastryNode node)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage:

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.